# Visualization
TKV3d
SelectMgr

# SelectMgr_ListIteratorOfListOfFilter Class Reference

`#include <SelectMgr_ListIteratorOfListOfFilter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_ListIteratorOfListOfFilter ()
Standard_EXPORT | SelectMgr_ListIteratorOfListOfFilter (const SelectMgr_ListOfFilter &L)
Standard_EXPORT void | Initialize (const SelectMgr_ListOfFilter &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_SelectMgr_Filter & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_ListIteratorOfListOfFilter::SelectMgr_ListIteratorOfListOfFilter | ( |  | ) |

Standard_EXPORT SelectMgr_ListIteratorOfListOfFilter::SelectMgr_ListIteratorOfListOfFilter | ( | const SelectMgr_ListOfFilter & | L | ) |

## Member Function Documentation

Standard_EXPORT void SelectMgr_ListIteratorOfListOfFilter::Initialize | ( | const SelectMgr_ListOfFilter & | L | ) |

Standard_Boolean SelectMgr_ListIteratorOfListOfFilter::More | ( |  | ) | const

Standard_EXPORT void SelectMgr_ListIteratorOfListOfFilter::Next | ( |  | ) |

void SelectMgr_ListIteratorOfListOfFilter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_ListIteratorOfListOfFilter::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_ListIteratorOfListOfFilter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_SelectMgr_Filter& SelectMgr_ListIteratorOfListOfFilter::Value | ( |  | ) | const

## Field Documentation

Standard_Address SelectMgr_ListIteratorOfListOfFilter::current `[private]`

Standard_Address SelectMgr_ListIteratorOfListOfFilter::previous `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_ListIteratorOfListOfFilter.hxx